Download it now!
Bug 130922 - CRASH: Moving backwards in Paste Table wizard (gen)
Summary: CRASH: Moving backwards in Paste Table wizard (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.4.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-25 09:51 UTC by Xisco Faulí
Modified: 2020-02-26 10:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["SvTreeList::Remove(SvTreeListEntry%20const%20*)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-25 09:51:37 UTC
Steps to reproduce:
1. Open a calc file and file cells A1:B2
2. Create a new base document
3. Go to table
4. Edit - paste
5. Next - Move existing columns to the right - Next
6. Back

-> Crash

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: e6b9bc3f2ecf0fb7fde5b02f9d750ccbe022f4c1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-02-25 09:54:31 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2019-09-05 12:22:38 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-09-12 20:28:14 +0200
commit	8c66efa030e98cfdf5da20be368566d64e43c5d1 (patch)
tree	88c9fb335349fd1b7b285d46108e5d41a3c9aac4
parent	8150219824a1d08c4a22fd8bb7cc63fe2aa88074 (diff)
weld OCopyTableWizard cluster

Bisected with: bibisect-linux64-6.5

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-02-25 12:32:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fe5366d9d2d57ee3648589db86d2c17f43febb6b

Resolves: tdf#130922 don't crash removing non-existing elements

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2020-02-25 12:32:55 UTC
fixed in master, backport to 6-4 in gerrit
Comment 4 Xisco Faulí 2020-02-26 10:17:43 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c8d764b3f27c2bb0712745891b70630e94436317
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-02-26 10:19:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/911ebc8425082ec699ef03fbab2d77ee67e0fe31

Resolves: tdf#130922 don't crash removing non-existing elements

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.